Subject: unset LD_LIBRARY_PATH confirmed as good workaround

From: Dan Hatton <[email-masked]>
Date: Tue, 3 Sep 2024 21:24:01 +0100 (BST)

Running a few guix-managed applications on top of a generally Ubuntu
system here.  As of today, am getting the same error message as
Edison, both when trying to run guix pull and when trying to run
individual applications.  Can confirm that following Ludo's suggestion
"unset LD_LIBRARY_PATH" makes the problem go away, but only for things
launched from the same terminal where I ran the unset command.
(Suspect that trying to unset the environment variable more globally
would bork the underlying Ubuntu system.)